Exception::getCode
Exception::getLine
Exception
PHP Manual

# Exception::getFile

(PHP 5 >= 5.1.0)

Exception::getFile — Gets the file in which the exception occurred

### Description

final public string Exception::getFile ( void )

Get the name of the file the exception was created.

### Parameters

This function has no parameters.

### Return Values

Returns the filename in which the exception was created.

### Examples

Example #1 Exception::getFile() example

`<?php
try {
throw new Exception;
} catch(Exception $e) {
echo $e->getFile();
}
?>`

The above example will output something similar to:

    /home/bjori/tmp/ex.php

Exception::getCode
Exception::getLine
Exception
PHP Manual